> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign

Retrieves a single campaign by ID, including its rules.


## OpenAPI

````yaml openapi/communications-campaigns/get-campaign.json GET /campaigns/{campaign_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Communications Campaigns
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public-api-key: []
    private-secret-key: []
paths:
  /campaigns/{campaign_id}:
    get:
      operationId: get_campaigns-campaign-id
      parameters:
        - in: path
          name: campaign_id
          description: The campaign identifier (UUID).
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      name:
                        type: string
                        example: Declined Payment Recovery - Colombia
                      account_id:
                        type: string
                        example: 2404911d-5df9-429e-8488-ad41abea1a4b
                      organization_code:
                        type: string
                        example: 550e8400-e29b-41d4-a716-446655440000
                      country:
                        type: string
                        example: CO
                      channel:
                        type: string
                        example: WHATSAPP_MESSAGE
                      schedule:
                        type: object
                        properties:
                          daily_start_time:
                            type: string
                            example: '08:00'
                          daily_end_time:
                            type: string
                            example: '21:00'
                          time_zone:
                            type: string
                            example: America/Bogota
                      duration:
                        type: object
                        properties:
                          start_at:
                            type: string
                            example: '2025-07-01T00:00:00Z'
                          end_at:
                            type: string
                            example: '2026-07-01T00:00:00Z'
                      status:
                        type: string
                        example: ACTIVE
                      rules:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: f1e2d3c4-b5a6-7890-abcd-ef1234567890
                            rule_type:
                              type: string
                              example: PAYMENT_STATUS
                            values:
                              type: array
                              items:
                                type: string
                              example:
                                - DECLINED
                            conditional:
                              type: string
                              example: EQUAL
                            metadata_key:
                              type: string
                              nullable: true
                              example: null
                            status:
                              type: string
                              example: ACTIVE
                            created_at:
                              type: string
                              example: '2025-07-01T12:05:00Z'
                            updated_at:
                              type: string
                              example: '2025-07-01T12:05:00Z'
                      created_at:
                        type: string
                        example: '2025-07-01T12:00:00Z'
                      updated_at:
                        type: string
                        example: '2025-07-01T12:00:00Z'
              examples:
                OK:
                  summary: OK
                  value:
                    data:
                      id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      name: Declined Payment Recovery - Colombia
                      account_id: 2404911d-5df9-429e-8488-ad41abea1a4b
                      organization_code: 550e8400-e29b-41d4-a716-446655440000
                      country: CO
                      channel: WHATSAPP_MESSAGE
                      schedule:
                        daily_start_time: '08:00'
                        daily_end_time: '21:00'
                        time_zone: America/Bogota
                      duration:
                        start_at: '2025-07-01T00:00:00Z'
                        end_at: '2026-07-01T00:00:00Z'
                      status: ACTIVE
                      rules:
                        - id: f1e2d3c4-b5a6-7890-abcd-ef1234567890
                          rule_type: PAYMENT_STATUS
                          values:
                            - DECLINED
                          conditional: EQUAL
                          metadata_key: null
                          status: ACTIVE
                          created_at: '2025-07-01T12:05:00Z'
                          updated_at: '2025-07-01T12:05:00Z'
                      created_at: '2025-07-01T12:00:00Z'
                      updated_at: '2025-07-01T12:00:00Z'
          description: OK
components:
  securitySchemes:
    public-api-key:
      type: apiKey
      in: header
      name: public-api-key
    private-secret-key:
      type: apiKey
      in: header
      name: private-secret-key

````